Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex StoreDoc
  • Getting started
  • Access management
  • Inspections and recommendations
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • GrantPermission
        • RevokePermission
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Response
  • Permission
  • ConnectionManager
  1. API reference
  2. REST
  3. User
  4. Get

Managed Service for MongoDB API, REST: User.Get

Written by
Yandex Cloud
View in Markdown
  • HTTP request
  • Path parameters
  • Response
  • Permission
  • ConnectionManager

Returns the specified StoreDoc User resource.
To get the list of available StoreDoc User resources, make a List request.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-mongodb/v1/clusters/{clusterId}/users/{userName}

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the StoreDoc cluster the user belongs to.
To get the cluster ID, use a ClusterService.List request.

The maximum string length in characters is 50.

userName

string

Required field. Name of the StoreDoc User resource to return.
To get the name of the user, use a UserService.List request.

The maximum string length in characters is 63. Value must match the regular expression ^[a-zA-Z0-9_][a-zA-Z0-9_@.-]*$.

ResponseResponse

HTTP Code: 200 - OK

{
  "name": "string",
  "clusterId": "string",
  "permissions": [
    {
      "databaseName": "string",
      "roles": [
        "string"
      ]
    }
  ],
  "connectionManager": {
    "connectionId": "string"
  },
  "authType": "string",
  "deletionProtection": "boolean"
}

A StoreDoc User resource. For more information, see the
Developer's Guide.

Field

Description

name

string

Name of the StoreDoc user.

clusterId

string

ID of the StoreDoc cluster the user belongs to.

permissions[]

Permission

Set of permissions granted to the user.

connectionManager

ConnectionManager

Connection Manager connection configuration.

authType

enum (AuthType)

Authentication type for the user.

  • AUTH_TYPE_PASSWORD: Password-based authentication (SCRAM).
  • AUTH_TYPE_IAM: IAM-based authentication via iam-auth-proxy (SASL/PLAIN, $external).

deletionProtection

boolean

Deletion Protection inhibits deletion of the user.

PermissionPermission

Field

Description

databaseName

string

Name of the database that the permission grants access to.

roles[]

string

StoreDoc roles for the databaseName database that the permission grants.

ConnectionManagerConnectionManager

Connection Manager connection configuration.

Field

Description

connectionId

string

ID of Connection Manager connection.

Was the article helpful?

Previous
Overview
Next
List
© 2026 Direct Cursus Technology L.L.C.